### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app-shell/common/ecl-default-app-shell.facade.ts`

### Example

### Index

###### Properties
breadcrumbs$ currentLanguage$ languages$
###### Methods
changeLanguage initBreadcrumbs initLanguage ngOnDestroy

### Constructor

`constructor(eclBreadcrumbService: EclBreadcrumbService, eclLanguageService: EclLanguageService, userService: UserService, translateService: TranslateService)`
Parameters :
Name | Type | Optional
eclBreadcrumbService | `EclBreadcrumbService` | No
eclLanguageService | `EclLanguageService` | No
userService | `UserService` | No
translateService | `TranslateService` | No

### Methods

changeLanguage
`changeLanguage(language: EclLanguage)`
Parameters :
Name | Type | Optional
language | `EclLanguage` | No
Returns : `void`

initBreadcrumbs
`initBreadcrumbs()`
Returns : `void`

initLanguage
`initLanguage(languages: Array, languageCodes: Array)`
Parameters :
Name | Type | Optional
languages | `Array<EclLanguage>` | No
languageCodes | `Array<string>` | No
Returns : `void`

ngOnDestroy
`ngOnDestroy()`
Returns : `void`

### Properties

breadcrumbs$
Type : `Subject<Array<EclBreadcrumb>>`
Default value : `new BehaviorSubject<Array<EclBreadcrumb>>([])`

currentLanguage$
Type : `Subject<EclLanguage>`
Default value : `new BehaviorSubject<EclLanguage>(defaultLanguage)`

languages$
Type : `Subject<Array<EclLanguage>>`
Default value : `new BehaviorSubject<Array<EclLanguage>>([])`

# result-matching ""

# No results matching ""